Share via


Namespaces - Get Network Rule Set

Gets NetworkRuleSet for a Namespace.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Relay/namespaces/{namespaceName}/networkRuleSets/default?api-version=2024-01-01

URI Parameters

Name In Required Type Description
namespaceName
path True

string

minLength: 6
maxLength: 50

The namespace name

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

NetworkRuleSet

Azure operation completed successfully.

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

NameSpaceNetworkRuleSetGet

Sample request

GET https://management.azure.com/subscriptions/Subscription/resourceGroups/ResourceGroup/providers/Microsoft.Relay/namespaces/example-RelayNamespace-6019/networkRuleSets/default?api-version=2024-01-01

Sample response

{
  "name": "default",
  "type": "Microsoft.Relay/Namespaces/NetworkRuleSet",
  "id": "/subscriptions/ffffffff-ffff-ffff-ffff-ffffffffffff/resourceGroups/resourcegroupid/providers/Microsoft.Relay/namespaces/example-RelayNamespace-9659/networkruleset/default",
  "properties": {
    "defaultAction": "Deny",
    "ipRules": [
      {
        "action": "Allow",
        "ipMask": "1.1.1.1"
      },
      {
        "action": "Allow",
        "ipMask": "1.1.1.2"
      },
      {
        "action": "Allow",
        "ipMask": "1.1.1.3"
      },
      {
        "action": "Allow",
        "ipMask": "1.1.1.4"
      },
      {
        "action": "Allow",
        "ipMask": "1.1.1.5"
      }
    ],
    "trustedServiceAccessEnabled": false
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

DefaultAction

Default Action for Network Rule Set

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

NetworkRuleIPAction

The IP Filter Action

NetworkRuleSet

Description of topic resource.

NWRuleSetIpRules

The response from the List namespace operation.

PublicNetworkAccess

This determines if traffic is allowed over public network. By default it is enabled.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

DefaultAction

Default Action for Network Rule Set

Value Description
Allow
Deny

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

NetworkRuleIPAction

The IP Filter Action

Value Description
Allow

NetworkRuleSet

Description of topic resource.

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

The name of the resource

properties.defaultAction

DefaultAction

Default Action for Network Rule Set

properties.ipRules

NWRuleSetIpRules[]

List of IpRules

properties.publicNetworkAccess

PublicNetworkAccess

This determines if traffic is allowed over public network. By default it is enabled

properties.trustedServiceAccessEnabled

boolean

Value that indicates whether Trusted Service Access is Enabled or not.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

NWRuleSetIpRules

The response from the List namespace operation.

Name Type Description
action

NetworkRuleIPAction

The IP Filter Action

ipMask

string

IP Mask

PublicNetworkAccess

This determines if traffic is allowed over public network. By default it is enabled.

Value Description
Enabled
Disabled
SecuredByPerimeter

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.